Moonlight: Core Support
=======================

	To build Moonlight, you need to install a few dependencies for
	the basic runtime engine (this is needed to support both API
	profiles: Silverlight 1.0 and 2.0).

   * Dependencies:
		
	You must install ffmpeg, from:

		svn://svn.mplayerhq.hu/ffmpeg/trunk
		Revision: 10885 is known to work

		svn co -r 10885 svn://svn.mplayerhq.hu/ffmpeg/trunk ffmpeg

	Then configure:

		./configure --enable-shared

	Build and install:

			make && make install

	You also need the alsa-devel package for Audio support.

	To build a mozilla plugin installer (XPI) configure with
	--enable-user-plugin and build as above.  This modifies the libraries
	to open the libraries it needs from ~/.mozilla/plugins and builds an
	unsigned .xpi file which you may use to install the plugin in your
	browser.

	To install the plugin open the plugin/novell-moonlight.xpi with	your
	mozilla-based browser and follow the prompts.

Configuration Options
=====================

	--enable-user-plugin

		The plugin can be built in two ways: one designed to 
		go into the centralized location for all plugins
		(relative to a prefix directory) or another that works
		from the user's plugin directory (~/.mozilla/plugins/)

		If you use this option, the makefiles will also build
		a Mozilla XPI file that can be used to install the plugin.

		For this to actually work you'll need to build a local version
		of ffmpeg with a few changes, mostly to the way it links.
		A patch is included (ffmpeg.patch) with the neccessary changes.
		PKG_CONFIG_PATH must include your build of ffmpeg when you
		configure moonlight.

		We build ffmpeg with ./configure --disable-static --enable-shared --disable-ffmpeg --disable-ffserver --disable-ffplay --disable-zlib --disable-network --disable-vhook --disable-debug --disable-muxers --disable-encoders --disable-demuxers --disable-bsfs --disable-protocols

	--with-managed=yes,no,desktop,browser

		Controls how Moonlight is compiled:

		no	 Only builds Moonlight 1.0, with no managed code.

		yes	 Builds Moonlight 2.0 with both desktop and plugin
		 	 assemblies

		desktop  Only builds the desktop assemblies (GtkSilver widget).

		browser	 Only builds the assemblies required for the browser
		 	 plugin.

		
	--with-ffmpeg=yes,no

		By default Moonlight will build with media support using ffmpeg.

		Use this flag to disable all use of ffmpeg.

	--with-alsa=yes,no

		To enable audio using the ALSA stack, this can be
		mixed with --with-pulse-audio=yes

	--with-pulse-audio=yes,no

		To enable audio using the Pulse Audio stack, this can
		be mixed with --with-alsa=yes

Moonlight: Silverlight 2.0 API support
======================================

	If you want to support the Silverlight 2.0 API (managed
	support, this includes the Mono runtime and .NET APIs to run
	apps) you will need in addition to:

		* Install Mono from SVN (you need both the mono and
	  	  mcs modules).

		  Use the --with-moonlight=yes option to configure

	The current public API reflects the API as it was published in
	Mix 07.  The 1.1 API.

